<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@taglib uri="/WEB-INF/taglib.tld" prefix="x" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<html>
<head>
    <x:base include="layout,dialog,grid,tree,combox,commonTree"/>
    <x:script src='/system/opm/js/OpmUtil.js'/>
    <x:script src='/biz/topsun/common/purchaseCommon.js'/>
    <x:script src='/biz/topsun/customer/customerDetail.js'/>
</head>
<body>
<x:billTitle title="客户信息详情" needStatus="false" needPerson="true"/>
<div class="blank_div clearfix"></div>
<button class="btn btn-default" type="button" id="close" style="left: 200px;float:right;bottom: 10px;">关闭</button>
<button class="btn btn-success" type="button" id="save" style="left: 200px;float:right;bottom: 10px;">保存</button>
<div class="blank_div clearfix"></div>
<form class="hg-form" method="post" action="" id="submitForm">
    <x:hidden name="id"/>
    <x:hidden name="billCode"/>
    <x:hidden name="fillinDate" type="datetime"/>
    <x:hidden name="fullId"/>
    <x:hidden name="organId"/>
    <x:hidden name="organName"/>
    <x:hidden name="deptId"/>
    <x:hidden name="deptName"/>
    <x:hidden name="positionId"/>
    <x:hidden name="positionName"/>
    <x:hidden name="personMemberId"/>
    <x:hidden name="personMemberName"/>
    <div><h3>客户基本信息</h3></div>
    <div style="margin: 10px;">
        <div class="hg-form-cols">
            <x:hidden name="customerId"/>
            <x:inputC name="customerCode" label="客户编码" labelCol="1" fieldCol="2"/>
            <x:inputC name="customerName" label="客户全称" labelCol="1" fieldCol="2" required="true"/>
            <x:inputC name="customerShortName" label="客户简称" labelCol="1" fieldCol="2"/>
            <x:inputC name="customerWorkTime" label="客户工作时间" wrapper="date" labelCol="1" fieldCol="2"/>
            <x:inputC name="customerEnName" label="英文名称" labelCol="1" fieldCol="2"/>
            <x:inputC name="customerEnShortName" label="英文名简称" labelCol="1" fieldCol="2"/>
            <x:inputC name="provinceInfo" label="所属地区" maxLength="32" labelCol="1"
                      fieldCol="2" readonly="true"/>
            <x:inputC name="customerLevel" label="客户等级" maxLength="32" labelCol="1"
                      fieldCol="2"/>
            <x:inputC name="customerFactoryCode" label="工厂代号" maxLength="32" labelCol="1" fieldCol="2"/>
            <x:inputC name="customerAddress" label="地址" maxLength="32" labelCol="1" fieldCol="2"/>
            <x:inputC name="customerGroup" label="所属集团" maxLength="32" labelCol="1" fieldCol="2"/>
            <x:inputC name="customerZipCode" label="邮编" maxLength="32" labelCol="1"
                      fieldCol="2"/>
        </div>
    </div>




    <div class="blank_div clearfix"></div>
    <div><h3>催货通知邮箱</h3></div>




    <div class="blank_div clearfix"></div>
    <div><h3>其他信息</h3></div>



</form>
</body>
</html>