$(document).ready(function () {
    $("#proofingMakeDetail").fileList();
    bindQueryEvent();
    initialize();
});


function initialize() {
debugger
    /**
     * 如果是详情页，展示数据，隐藏按钮
     * @type {boolean}
     */
    let isDetailPage = ($("#isDetailPage").val() === "true");
    if (isDetailPage) {
        let proofingApplyNo = $("#proofingApplyNo").val();
        if (proofingApplyNo != null && proofingApplyNo !== '') {
            ajaxRenderDataGoForm(proofingApplyNo);
            showTable({proofingMakeId:$("#proofingMakeId").val()});
        }
        $("#formButton").hide();
        $("#jobPageTop").hide();
    }
}

//绑定selectC
function bindQueryEvent() {
    $('#proofingApplyNo').searchbox({
        type: "proofing", name: "proofingApplyCode",
        onChange: function (value, data) {
            $('#productCode').val(data.productCode);
            ajaxRenderDataGoForm(data.proofingApplyNo);
            showTable({proofingApplyId:data.proofingApplyId});
        }
    });
}

function save() {
    debugger
    saveForm();
}
/**
 * 表单提交
 * @returns {boolean}
 */
function saveForm() {
    debugger
   let extendedData= getTableResult();

   if(!extendedData) return false;

    var _self = this;
    $('#submitForm').ajaxSubmit({
        url: web_app.name + '/proofingMake/saveProofingMake.ajax',
        param: extendedData,
        success: function (data) {
            if (data == "1") {
                Public.successTip("保存成功！");
            }
            _self.close();
        }
    });
    // //新开作业指导申请书页
    // let productId = $("#productId").val();
    // let proofingMakeNo = $("#proofingMakeNo").val();
    // UICtrl.addTabItem({
    //     tabid: 'workInstructionApply' + proofingMakeNo,
    //     text: "作业指导申请书",
    //     url: web_app.name + '/workInstructionApply/forwardWorkInstructionApply.do?productId=' + productId
    // });

}


function resetForm(obj) {
    $(obj).formClean();
}

/**
 * 根据请求获取的数据填充到页面
 * @param proofingApplyNo
 */
function ajaxRenderDataGoForm(proofingApplyNo) {
    Public.ajax(web_app.name + '/proofingMake/queryProofingApply.ajax', {proofingApplyNo: proofingApplyNo}, function (data) {
        //替换前缀为proofingApply的字段为proofingMake
        const updatedData = Object.entries(data).reduce((acc, [key, value]) => {
            const updatedKey = (
                key !== "proofingApplyId" &&
                key !== "proofingApplyNo" &&
                key !== "proofingApplyApplicationStatus")
                ? key.replace("proofingApply", "proofingMake")
                : key;
            acc[updatedKey] = value;
            return acc;
        }, {});
        $('#submitForm').formSet(updatedData);
        //填充select框
        renderingDictionaries(updatedData);
    })
}


/**
 * 渲染带数据字典的select
 * @param obj
 */
function renderingDictionaries(obj) {
    console.log(obj)
    //获取所有select的id名与对象匹配
    $("select").each(function () {
        var id = $(this).attr("id");
        if (obj.hasOwnProperty(id)) {

            var keyValuePairs = new Map();

            $('#' + id + ' option').each(function () {
                var value = $(this).val();
                var text = $(this).text();
                keyValuePairs.set(value, text);
            });

            // 获取 对应的文本值
            var selectedValue = obj[id];
            var selectedText = keyValuePairs.get(selectedValue);

            // 将文本值赋值给目标元素
            $('#' + id + '_text').val(selectedText);
            $('#' + id).val(selectedValue);

            console.log("select:" + id+"("+selectedText+":"+selectedValue+")")
        }
    });
}
